freecad (1.0.0+dfsg-8build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:45 +0200

freecad (1.0.0+dfsg-8build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:20 +0200

freecad (1.0.0+dfsg-8) unstable; urgency=medium

  * Disable accidential added autopkgtest starttest, which was not ready.

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Jul 2025 17:48:33 +0200

freecad (1.0.0+dfsg-7) unstable; urgency=medium

  * Add patch to workaround crash under wayland (Closes: #1051296)

 -- Tobias Frost <tobi@debian.org>  Sat, 28 Jun 2025 10:30:28 +0200

freecad (1.0.0+dfsg-6) unstable; urgency=medium

  * Add some more paths to d/clean, thanks Wookey for the patch.
    (Closes: #1094803)
  * Enable Assembly-Workbench, as ondselsolver is now in the archives.
    (Closes: #1091349)

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Mar 2025 17:50:18 +0100

freecad (1.0.0+dfsg-5) unstable; urgency=medium

  * Disable builds on armel and i386. (Those archs are not suitable for CAD
    anyways and create lots of extra effort.)
  * Rework autopktest script to run flaky tests, but ignore result.
  * Run package tests in xvfb, but ignore result for now.
  * Really symlink the osifonts.

 -- Tobias Frost <tobi@debian.org>  Fri, 03 Jan 2025 18:09:58 +0100

freecad (1.0.0+dfsg-4) unstable; urgency=medium

  * Disable TestArch in autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Mon, 30 Dec 2024 20:01:39 +0100

freecad (1.0.0+dfsg-3) unstable; urgency=medium

  * Disable TestPathApp in autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Dec 2024 14:40:18 +0100

freecad (1.0.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch to fix FTBFS on armel/armhf, where GL_MULTIPATH seems not to be
    defined.
  * Split some patches for easier upstreaming, update meta data.
  * d/clean: remove files which are in FilesExluded.

 -- Tobias Frost <tobi@debian.org>  Tue, 24 Dec 2024 14:07:00 +0100

freecad (1.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Upload to experimental to clear NEW (binary package rename)
  * New upstream release. (Closes: #1087876)
    - remove patches applied upstream.
    - refresh patches.
    - new patch to use packaged version of nlohmann-json3.
    - disable Assembly workbench, as it needs a yet unpackaged library.
    - python modules are now installed to site-packages. (Closes: #1049933)
  * d/watch: not to use dfsg not dfsg1 as suffix.
    complains about the missing KuKa files and the Y14.5 font.
  * d/rules: general cleanup.
  * d/control:
    - drop version from the libfreecad-python3 package name.
    - add several B-Ds now required, to unbundle embedded libraries:
      - cmake-extras for FindGMock and FindGTest
      - libgtest-dev and libgmock-dev for the gtest and gmock.
      - use libyaml-cpp-dev instead of embedded code copy.
      - libgl-dev to use Debian's glext.h
      - libmsgsl-dev to use the Debian package.
      - add version constraint on fixed zipios++ version.
      - use fonts-osifont package for osifont-italic.
    - remove obsolete Breaks/Replaces constraints, fulfilled since at
      least oldstable.
    - bump S-V to 4.7.0 - no changes required.
  * d/copyright: rewrite and complete review. (WIP)
    - Seveal additional files are now removed, due to a non-free
      license (Closes: #1090833)
  * New patch to fix FTBFS when linking the test suite.
  * New patch to fix FTBFS due to the DFSG repacking, as the Robot Workbench
  * Install python modules in site path.
  * Install example files shipped by upstream.

 -- Tobias Frost <tobi@debian.org>  Mon, 23 Dec 2024 09:51:54 +0100

freecad (0.21.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests, by cherry-picking upstream changes to the test-suite.
  * Add myself to Uploaders
  * Install fcinfo (Closes: #1060846)

 -- Tobias Frost <tobi@debian.org>  Thu, 25 Jul 2024 11:20:41 +0200

freecad (0.21.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.12, importing upstream patch (Closes: #1074442)

 -- Tobias Frost <tobi@debian.org>  Thu, 11 Jul 2024 00:19:35 +0200

freecad (0.21.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * [4bced83] Fix FTBFS with VTK9.3. (Closes: #1073823)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Jun 2024 08:32:15 +0200

freecad (0.21.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rework autopkgtest script, update available tests and block
    TestPathApp also for i386.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 May 2024 16:11:03 +0200

freecad (0.21.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with opencascade 7.8.1 (Closes: #1071283), and B-D on new
    opencascade.

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 21:17:26 +0200

freecad (0.21.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1043104)
    - Remove upstream applied patches:
      - 0000-numpy-1.24
      - 0010-arch-tutorial
      - 0030-fix-1014875-arm-FTBFS
      - 0040-python3-interpreter
      - 0050-appstream-meta-launcable
      - 0060-bug-993089-dxf-support-desktop-file
      - 0070-python3-interpreter
      - 0080-fix-s390x-test-fail-skip-load-old-file
      - 0090-gcc13-fix
      - 0100-opencamlib-new-import
      - 1110-path-g49-move-0.20.patch
    - Remove obsolete Patch: 1010-opencascade74 - upstream removed raytracing
      functionality.
    - Refreshed paches:
      - 0110-desktop-extra-categories.patch
      - 1100-run_single-instance.patch
    - New patch: 2040-ftbfs-macappbundle.patch, to avoid that CMake
      is not missing the removed MacAppBundle directory.
    - New B-Ds on libfmt-dev python3-pivy
  * Remove override for dh_installchangelogs, upstream does no longer ship an
    Changelog.
  * Override dh_strip_nondeterminism, as it chokes on the corrupted zip
    file used in a unit test.
  * Add gmock/gtest to d/not-installed.
  * Remove B-D on libqtwebkit5-dev, as upstream stopped support
    for it. This results that freecad will be built without the "Web
    Workbench", on architectures that do not have qtwebengine5-dev.
    (all except amd64, arm64, armhf, i386 and mipsel64)

 -- Tobias Frost <tobi@debian.org>  Mon, 18 Dec 2023 18:28:59 +0100

freecad (0.20.2+dfsg1-10) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Added 1120-desktop-extra-categories.patch to include X-CNC category
    to XDG desktop meny entry.

  [ Bas Couwenberg ]
  * Drop unused libproj-dev build dependency.

  [ Petter Reinholdtsen ]
  * Added recommend and patched code to find find new opencamlib package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 04 Sep 2023 15:53:04 +0200

freecad (0.20.2+dfsg1-9) unstable; urgency=medium

  * Team upload.

  * Added 0090-gcc13-fix.patch to fix GCC 13 build problem (Closes: #1037664).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Jul 2023 23:14:08 +0200

freecad (0.20.2+dfsg1-8) unstable; urgency=medium

  * Team upload.

  * Updated patch metadata for patches now applied upstream.
  * Added 1110-path-g49-move-0.20.patch avoiding dangerous G-code
    from Path (Closes: #1040426).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Jul 2023 17:29:12 +0200

freecad (0.20.2+dfsg1-7) unstable; urgency=medium

  * Team upload.

  * Moved patches upstream to 0xxx patch sequence.
  * Corrected patch metadata for *opencascade74.patch.
  * Added new 1160-python3-interpreter.patch to fix more
    lintian warnings.
  * Dropped superfluous file patterns pointing to non-existing files
    from d/copyright.
  * Remove unused dh-exec from debian/freecad-common.install.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 06 Jul 2023 08:25:20 +0200

freecad (0.20.2+dfsg1-6) unstable; urgency=medium

  * Team upload.

  * Removed 1000-fix-occt-7.5.2.patch now applied upstream.
  * Sent patches upstream and updated metadata to relect this.
  * Removed cruft from metadata of two patches.
  * Classified *fix-1017598.patch as Debian specific, in line with
    its description.
  * Renamed and added patch metadata to *python3.8-syntax.patch.
  * Added 1160-python3-interpreter.patch to fix lintian warning
    unusual-interpreter.
  * Added 0010-arch-tutorial.patch to get arch tutorials working
    with Python >= 3.11  (Closes: #1031566).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Jul 2023 08:44:13 +0200

freecad (0.20.2+dfsg1-5) unstable; urgency=medium

  * Team upload.

  * Changed upstream URL from https://freecadweb.org/ to
    https://freecad.org/ (Closes: #1031830).
  * Updated Standards-Version from 4.6.1 to 4.6.2.  No changes needed.
  * Corrected typos and metadata in several patch files.
  * Standardised Author information in patch files, preferred
    @debian.org addresses.
  * Restructured patches into upstreamable and debian specific groups.
  * Removed obsolete NEWS.debian.
  * Added 1150-appstream-meta-launcable.patch trying to fix Appstream
    generator warning.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Jun 2023 08:02:21 +0200

freecad (0.20.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Apply work-around for crash when started with --single-instance,
    e.g. using the .desktop file (Closes: #1029846)

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Feb 2023 14:01:18 +0100

freecad (0.20.2+dfsg1-3) unstable; urgency=medium

  * [c522953] Remove redundant `freecadcmd --console` in autopkgtest
  * [0bef48d] Add patch for numpy 1.24

 -- Kurt Kremitzki <kkremitzki@debian.org>  Tue, 10 Jan 2023 11:08:11 -0600

freecad (0.20.2+dfsg1-2) unstable; urgency=medium

  * [3bfb4a5] Add arch-specific Qt WebKit fallback

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 09 Jan 2023 19:15:33 -0600

freecad (0.20.2+dfsg1-1) unstable; urgency=medium

  [ Tobias Frost ]
  * [7556687] Add several supported MIME types to the .desktop file.
    (Closes: #993089)

  [ Kurt Kremitzki ]
  * [69cb156] Switch from Qt WebKit to WebEngine
  * [bdc52cd] New upstream version 0.20.2+dfsg1 (Closes: #1028171)
  * [1e3598e] Refresh patches

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 09 Jan 2023 17:00:02 -0600

freecad (0.20.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Disable test TestPathApp on s390x.

 -- Tobias Frost <tobi@debian.org>  Fri, 09 Sep 2022 17:01:54 +0200

freecad (0.20.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Fri, 26 Aug 2022 23:58:01 +0200

freecad (0.20+dfsg1-6) unstable; urgency=medium

  * Revert running freecad in the autopkgtest, this needs more work.

 -- Tobias Frost <tobi@debian.org>  Thu, 18 Aug 2022 21:30:34 +0200

freecad (0.20+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Disable test femtest.app.test_solver_calculix.TestSolverCalculix, as
    this test is currently broken on some archs. Closes: #1017598.
  * Run freecad (gui executeable) test suite also in the autopkgtest,
    in the hope that missing libraries will be caught too (see #1013881).

 -- Tobias Frost <tobi@debian.org>  Thu, 18 Aug 2022 12:38:22 +0200

freecad (0.20+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armel and armhf, GL_PROJECTION not declared in this scope
    with patch fix-1014875-arm-FTBFS.patch (Closes: #1014875)

 -- Tobias Frost <tobi@debian.org>  Tue, 09 Aug 2022 18:37:51 +0200

freecad (0.20+dfsg1-3) UNRELEASED; urgency=medium

  * d/u/metadata: Added SciCrunch RRID:SCR_022535

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Jul 2022 21:17:32 +0200

freecad (0.20+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * More verbose description.

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Jul 2022 02:16:00 +0200

freecad (0.20+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1007013)
  * Removed surface_extended_patch.patch - already found upstream
  * Removed remove_doc-files.patch - no longer applicable/needed
  * Removed fix_vtk9.patch - addressed upstream
  * Standards-Version: 4.6.1 (routine-update)
  * Extended runtime dependencies on python Qt modules as instructed
    upon execution of freecad.

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Jul 2022 15:29:38 +0200

freecad (0.19.4+dfsg1-1) unstable; urgency=medium

  * Team upload.

  * New upstream version - a bug-fix release
    Release notes: https://github.com/FreeCAD/FreeCAD/releases/tag/0.19.4
    - Fixes CVE-2021-45844 (Closes: #1005747)
    - Fixes CVE-2021-45845
  * Added link-time optimization

 -- Steffen Moeller <moeller@debian.org>  Fri, 04 Mar 2022 16:01:45 +0100

freecad (0.19.3+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Håvard Flaget Aasen ]
  * Move files from /usr/share/freecad/share/* to /usr/share/*
  * Move appstream files from freecad-common to freecad, specifically
    /usr/share/applications/*, /usr/share/metainfo/* and /usr/share/mime/*.
    This will make sofware relying on appstream to install correct package.
    (Closes: #981175)
  * Don't install .xpm icon.
  * Prefer upstream version of desktop and sharedmimeinfo files.
  * Explicitly list folders to install in freecad-common.
  * Add patch to include previous set option in desktop file.
    Making freecad only run as single instance.

  [ Tobias Frost ]
  * Fix filename of SurfaceExtend icon (Closes: #992715)

 -- Steffen Moeller <moeller@debian.org>  Fri, 25 Feb 2022 14:04:59 +0100

freecad (0.19.3+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Tobias Frost ]
  * Tighten dependencies on metapackage, so that the right version
    of all packages will be pulled on update. (Closes: #980474)

  [ Steffen Moeller ]
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)
  * patch/python3.8 adopted upstream
  * improved d/rules clean target for repeated builds

 -- Tobias Frost <tobi@debian.org>  Fri, 22 Oct 2021 12:45:02 +0200

freecad (0.19.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [6e8d7af] Compile against vtk9 instead of vtk7

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Sep 2021 09:52:47 +0200

freecad (0.19.2+dfsg1-2) unstable; urgency=medium

  * [bc42245] Add patch for OpenCASCADE >= 7.5.2
  * [acc44a0] Add Rules-Requires-Root: no
  * [8a24737] Add DEP-3 headers to document OpenCASCADE 7.4.0 patch
  * [cafc615] Update to Standards-Version 4.6.0 (no changes required)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 06 Sep 2021 19:13:40 -0500

freecad (0.19.2+dfsg1-1) unstable; urgency=medium

  * [9a27ec0] New upstream version 0.19.2+dfsg1
  * [cbf49b1] Refresh fix-s390x-test-fail-skip-load-old-file.patch

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sat, 04 Sep 2021 15:44:21 -0500

freecad (0.19.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [aed47c1] Fix whitespaces in previous commit from Christian Ehrhardt,
    breaking python autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Mar 2021 17:55:02 +0100

freecad (0.19.1+dfsg1-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [fbc90b2] skip self test open_de9b3fb438 on s390x as it goes OOM
    (LP: #1918474)(Closes: #984952)

  [ Kurt Kremitzki ]
  * [3ae55a4] New upstream version 0.19.1+dfsg1
  * [bc2242e] Drop fix-fem-crash.patch, included in 0.19.1

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 15 Mar 2021 21:00:32 -0500

freecad (0.19+dfsg1-2) unstable; urgency=medium

  * [e19be27] Add patch to fix crash in FEM Constraint::getDirection
    (Closes: #983590)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 28 Feb 2021 03:36:37 -0600

freecad (0.19+dfsg1-1) unstable; urgency=medium

  * [40577ea] New upstream version 0.19+dfsg1
  * [f346346] Add python3-matplotlib build dependency

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 25 Feb 2021 11:53:32 -0600

freecad (0.19~pre1+git20210207.a3fb41502b+dfsg-1) unstable; urgency=medium

  * [fc00a73] New upstream version 0.19~pre1+git20210207.a3fb41502b+dfsg
  * [b1f38b0] Refresh patches

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 07 Feb 2021 18:46:40 -0600

freecad (0.19~pre1+git20210109.afd1470202+dfsg1-2) unstable; urgency=medium

  * [bcad731] Add python3-yaml runtime dep
  * [4f5dd12] Set FREECAD_USER_HOME for autopkgtest

 -- Kurt Kremitzki <kkremitzki@debian.org>  Wed, 20 Jan 2021 10:49:37 -0600

freecad (0.19~pre1+git20210109.afd1470202+dfsg1-1) unstable; urgency=medium

  * [1395c4c] Update freecad-common symlinks (Closes: #980292)
  * [154c84e] New upstream version 0.19~pre1+git20210109.afd1470202+dfsg1

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 18 Jan 2021 12:48:25 -0600

freecad (0.19~pre1+git20201221.3b449e1ce9+dfsg1-2) unstable; urgency=medium

  * [2ce772e] Add Breaks+Replaces for libfreecad-python3-0.19 over 0.18
    (Closes: #976430)
  * [0046d46] Always only --list-missing

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 24 Dec 2020 06:54:50 -0600

freecad (0.19~pre1+git20201221.3b449e1ce9+dfsg1-1) unstable; urgency=medium

  * [921e9bc] New upstream version 0.19~pre1+git20201221.3b449e1ce9+dfsg1
  * [ea5594a] Refresh python3.8.patch

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 21 Dec 2020 11:23:53 -0600

freecad (0.19~pre1+git20201123.8d73c8f0+dfsg1-1) experimental; urgency=medium

  * [ede52e5] New upstream version 0.19~pre1+git20201123.8d73c8f0+dfsg1
  * [b8be794] Refresh patches
  * [5b061b9] Update packaging for 0.19

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 29 Nov 2020 03:20:11 -0600

freecad (0.18.4+dfsg2-6) unstable; urgency=medium

  * Team upload.
  * [63b9bcf] Fix compilation against boost and python3.9.
              (Closes: #975267, #973285)
  * [5773c7e] Use secure URI in Homepage field.
  * [ffb3bbb] Set debhelper-compat version in Build-Depends.
  * [15de038] Set upstream metadata fields: Repository, Repository-Browse.
  * [afe02a4] Fix day-of-week for changelog entry 0.7.1031-1.
  * [159b458] Update standards version to 4.5.0, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Thu, 19 Nov 2020 20:50:53 +0100

freecad (0.18.4+dfsg2-5) unstable; urgency=medium

  * [6ef07803] cherry-pick upstream commits:
    - 17ed2b196a58afbbc3cc1bb99f6eb76060171ad2
    - 1666b28836baa79b26b707afb1e97c2a0855eb1f
    - 1bca53917db942aa8e0639c8e2c2f33b2e09c1b0
    and drop new-pyside2.patch patch
  * [ 1b8737ca ]Drop depends on python3-pyside2uic,
    dropped by pyside2 (experimental), and add
    pyqt5-dev-tools for new pyrcc5 tool

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Jun 2020 14:39:33 +0200

freecad (0.18.4+dfsg2-4) unstable; urgency=medium

  * Team upload

  [ Gianfranco Costamagna ]
  * [224b2c8a] Drop unused libboost-signals-dev (Closes: #962086)

  [ Graham Inggs ]
  * [e3aa33cd] Fix TaperedHole test for OCCT 7.4 (Closes: #961131)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jun 2020 12:07:18 +0200

freecad (0.18.4+dfsg2-3) unstable; urgency=medium

  * [a1d5760] Disable netgen builds for now
  * [cbbde84] Add patch for OCCT 7.4 regression test case

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 20 May 2020 03:48:36 -0500

freecad (0.18.4+dfsg2-2) unstable; urgency=medium

  [ Tobias Frost ]
  * [b742def] Import Ubuntu patches to fix Python 3.8 FTBFS (Closes: #953721).
    This also includes some other patches from Ubuntu that are worth as they
    are fixing crashes. Thanks to Gianfranco for his work in Ubuntu.

  [ Kurt Kremitzki ]
  * [d56ac71] Correct line ending issue with patch
  * [599ea99] Add opencascade74.patch (Closes: #956543)

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 19 May 2020 04:24:52 -0500

freecad (0.18.4+dfsg2-1) unstable; urgency=medium

  * [e8be3d7] New upstream version 0.18.4+dfsg2
  * [5fefd1a] Don't hardcode Python 3 version (Closes: #950137)

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 11 Feb 2020 06:26:08 -0600

freecad (0.18.4+dfsg1-2) unstable; urgency=medium

  [ Kurt Kremitzki ]
  * [1e38838] Revert dwz override after upstream fix

  [ Gianfranco Costamagna ]
  * Team upload
  * [84844f5] Tweak rules file to make it use with Python3.7
    (Closes: #945314), the one used during pyside build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Dec 2019 11:04:13 +0100

freecad (0.18.4+dfsg1-1) unstable; urgency=medium

  * [3928e77] New upstream version 0.18.4+dfsg1
  * [55b8edd] Update version display patch for 0.18.4

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 03 Nov 2019 13:26:10 -0600

freecad (0.18.3+dfsg1-4) unstable; urgency=medium

  * [e768789] Add dh_dwz override for i386, mipsel, and s390x due to upstream
    regression

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 30 Oct 2019 22:43:14 -0500

freecad (0.18.3+dfsg1-3) unstable; urgency=medium

  * [c78f8e9] Revert enabling Netgen/Pybind11 builds

 -- Kurt Kremitzki <kurt@kwk.systems>  Tue, 17 Sep 2019 11:00:11 -0500

freecad (0.18.3+dfsg1-2) unstable; urgency=medium

  * [898fd80] Migrate to Python 3 only, Netgen-enabled build (Closes:
    #936552)
  * [2c077ab] Bump compat level to 12
  * [276a12e] Bump Standards-Version to 4.4.0 (no changes needed)

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 08 Sep 2019 17:35:08 -0500

freecad (0.18.3+dfsg1-1) unstable; urgency=medium

  * [5f5b5c2] New upstream version 0.18.3+dfsg1
  * [6c43d54] Update set_about_freecad.patch for new version

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 18 Jul 2019 20:12:46 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfreecad-python3`.
